> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/uof/api-and-structure/api/betting-descriptions/variant-market-descriptions.md).

# Variant Market Descriptions

#### **About the Endpoint** <a href="#uofapivariantmarketdescriptions-abouttheendpoint" id="uofapivariantmarketdescriptions-abouttheendpoint"></a>

**Endpoint PATH**

```
/descriptions/{language}/markets/{market_id}/variants/{variant_urn}
```

**Endpoint Description**

Returns market descriptions and outcomes for markets from odds/settlement, containing "variant=\<urn>".

This endpoint may give a redirect (301) to a product.

This endpoint describes all currently available markets translated to the requested language (en for English). If include\_mappings=true is added as a parameter, the response will include a section for each market on how this market is mapped to equivalent markets in other Betradar products.

The variant market description provides outcome information related to outrights.\
Filters available are the language, the ID of the market, the variant URN, and whether the mapping should be included or not.

**Endpoint Parameters**

| Parameter                                                        | Description                                               | Possible Values                                                                                                                                        |
| ---------------------------------------------------------------- | --------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------ |
| <p><em>language</em></p><p><strong>Required</strong></p>         | Language code for translation                             | See all supported languages and their codes on [language support](/uof/introduction/language-support.md)                                               |
| <p><em>market\_id</em></p><p><strong>Required</strong></p>       | The ID for the market.                                    | All available markets can be retrieved from the [Market Descriptions](/uof/api-and-structure/api/betting-descriptions/market-descriptions.md) endpoint |
| <p><em>variant\_urn</em></p><p><strong>Required</strong></p>     | The variant URN.                                          | e.g. sr:exact\_games:bestof:5                                                                                                                          |
| <p><em>include\_mapping</em></p><p><strong>Optional</strong></p> | Choose whether market mappings should be included or not. | <p>true, false</p><ul><li>true = inlude mapping information</li><li>false = exclude mapping information</li></ul>                                      |

#### &#x20;<a href="#uofapivariantmarketdescriptions-endpointstructure" id="uofapivariantmarketdescriptions-endpointstructure"></a>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportradar.com/uof/api-and-structure/api/betting-descriptions/variant-market-descriptions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
